'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toHaveClass = toHaveClass;

var _jestMatcherUtils = require('jest-matcher-utils');

var _utils = require('./utils');

function splitClassNames(str) {
  if (!str) {
    return [];
  }
  return str.split(/\s+/).filter(function (s) {
    return s.length > 0;
  });
}

function isSubset(subset, superset) {
  return subset.every(function (item) {
    return superset.includes(item);
  });
}

function toHaveClass(htmlElement, expectedClassNames) {
  var _this = this;

  (0, _utils.checkHtmlElement)(htmlElement, toHaveClass, this);
  var received = splitClassNames(htmlElement.getAttribute('class'));
  var expected = splitClassNames(expectedClassNames);
  return {
    pass: isSubset(expected, received),
    message: function message() {
      var to = _this.isNot ? 'not to' : 'to';
      return (0, _utils.getMessage)((0, _jestMatcherUtils.matcherHint)(`${_this.isNot ? '.not' : ''}.toHaveClass`, 'element', (0, _jestMatcherUtils.printExpected)(expected.join(' '))), `Expected the element ${to} have class`, expected.join(' '), 'Received', received.join(' '));
    }
  };
}